<template>
  <div class="scrollable only-y">

    <div class="page-header">
      <h1>CV Template</h1>
      <!--<h4>for a better experience on Mac OS during horizontal scroll is prefered disable the "Swipe between pages" option </h4>-->
      <el-breadcrumb separator="/">
        <el-breadcrumb-item :to="{ path: '/' }"><i class="mdi mdi-home-outline"></i></el-breadcrumb-item>
        <el-breadcrumb-item :to="{ path: '/' }">CV Template</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <el-card
      v-loading="loading"
      class="box-card "
      style=""
    >

      <div class="header-document">
        <el-tooltip
          class="item"
          effect="dark"
          content="Edit this template"
          placement="top"
        >
          <el-button
            @click="onEdit"
            class="btn-edit-document "
            icon="el-icon-edit"
            circle
            type="primary"
          ></el-button>
        </el-tooltip>
      </div>
      <froalaView v-model="previewHTML"></froalaView>
      <!-- <div
        v-html="previewHTML"
        :style="styleCSS"
      ></div> -->
    </el-card>

  </div>
</template>

<script>

import { document as documentAPI } from '~/services/apis/index'
export default {
  name: 'CVTemplate',
  data () {
    return {
      config: {
        toolbarButtons: ['bold', 'italic', 'html'],
        codeMirror: window.CodeMirror,
        codeBeautifierOptions: {
          end_with_newline: false,
          indent_inner_html: true,
          //   extra_liners: "['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'blockquote', 'pre', 'ul', 'ol', 'table', 'dl']",
          brace_style: 'expand',
          indent_char: ' ',
          indent_size: 4,
          wrap_line_length: 0
        },
        codeMirrorOptions: {
          indentWithTabs: true,
          lineNumbers: true,
          lineWrapping: true,
          mode: 'text/html',
          tabMode: 'indent',
          tabSize: 2
        },
        useClasses: true,
        fullPage: true,
        iframe: false,
        htmlAllowedTags: ['.*'],
        htmlRemoveTags: [''],
        // htmlAllowedAttrs: ['.*'],
        allowedContent: true,
        iframeStyle: this.textarea,
        attribution: false,


      },
      loading: true,
      previewHTML: '',
      rawHtml1: '',
      styleCSS: ``,
      value: '',
    }
  },
  methods: {
    initTemplate () {
      this.loading = true;
      documentAPI.getDocument(3).then(res => {
        let json = res.data.data.content.replace(/\\n/g, '');

        this.rawHtml1 = json.replace(/\\/g, '');
        this.preview(this.rawHtml1);
        this.loading = false;
      }).catch(err => {
        //eslint-disable-next-line
        console.log('err :', err);
        this.loading = false;
      })
    },

    onEdit: function () {
      this.$router.push({ path: 'cvtemplate/edit' });
    },
    preview (value) {
      //   if (this.rawHtml == null || this.rawHtml == undefined) {
      //     return;
      //   }
      const stringData = JSON.stringify(value);
      const rawHTML = stringData ? stringData.slice(1, -1) : '';

      let data = {
        html: rawHTML
      }
      documentAPI.getPreviewSeekerProfile(data).then(res => {


        let json = res.data.data[0].replace(/\\n/g, '');
        // this.value = json.replace(/\\/g, '');
        this.previewHTML = json.replace(/\\/g, '');

      })
    }
  },
  mounted () {
    this.initTemplate();
  },

}
</script>
<style scope>
.fr-wrapper div:first-child a {
  display: none !important;
}
</style>


